Next: Preconditioners Up: Reference Manual Previous: Bilinear-forms Contents

# Linear-forms

A linear form is defined by

    define linearform <name> <flaglist>
    integrator1
    integrator2
    integrator3
    ...

Example

    define linearform f -fespace=v
    source coef_f
    neumann coef_g

A linear-form is always defined as sum over integrators. A linear-form maintains the right hand side vector.

The following flags are defined

-fespace=<name> | bilinear form is defined on fe space <name>

An integrator is defined as

    token <coef1> <coef2> ... <flaglist>

Example:

    source coef_fy -comp=2

The <coefi> refers to a coefficient function defined above. It provides the coefficients defined sub-domain by dub-domain for integrators defined on the domain (e.g., source), or, the coefficient boundary-patch by boundary-patch for integrators defined on the surface (e.g., neumann).

Allowed flags are

-order=num | use integration rule of order num. Default order is computed form element order.
-comp=num | use scalar integrator as component num for system (e.g., penalty term for y-displacement). num=0 adds integrator to all components.
-normal | add integrator in normal direction (surface load in normal direction)

The integrator tokens are

source f |
neumann g |
sourceedge jx jy jz | for 3D spaces
neumannedge jx jy jz | for 3D spaces
curledge f | for 2D spaces
curlboundaryedge f | for 3D spaces

Next: Preconditioners Up: Reference Manual Previous: Bilinear-forms Contents